Package org.pushingpixels.substance.internal.ui

# Class SubstanceTabbedPaneUI.TabRepaintCallback

java.lang.Object
org.pushingpixels.trident.callback.TimelineCallbackAdapter
org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
org.pushingpixels.substance.internal.ui.SubstanceTabbedPaneUI.TabRepaintCallback

All Implemented Interfaces:
  `org.pushingpixels.trident.callback.TimelineCallback`

Enclosing class:
  `SubstanceTabbedPaneUI`

protected class SubstanceTabbedPaneUI.TabRepaintCallback extends org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
Implementation of the fade tracker callback that repaints a single tab.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTabbedPane`
`tabbedPane`
The associated tabbed pane.
`protected int`
`tabIndex`
The associated tab index.

## Constructor Summary

Constructors
Constructor
Description
`TabRepaintCallback(JTabbedPane tabPane, int tabIndex)`
Creates new tab repaint callback.

## Method Summary

Modifier and Type
Method
Description
`void`
`onTimelinePulse(float durationFraction, float timelinePosition)`
`void`
`onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)`
`protected void`
`repaintTab()`
Repaints the relevant tab.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tabbedPane

protected JTabbedPane tabbedPane
The associated tabbed pane.

### tabIndex

protected int tabIndex
The associated tab index.

## Constructor Details

### TabRepaintCallback

public TabRepaintCallback(JTabbedPane tabPane, int tabIndex)
Creates new tab repaint callback.

Parameters:
  `tabPane` - The associated tabbed pane.
  `tabIndex` - The associated tab index.

## Method Details

### onTimelinePulse

public void onTimelinePulse(float durationFraction, float timelinePosition)

Specified by:
  `onTimelinePulse` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelinePulse` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`

### onTimelineStateChanged

public void onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)

Specified by:
  `onTimelineStateChanged` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelineStateChanged` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`

### repaintTab

protected void repaintTab()
Repaints the relevant tab.